Odin

Create Migrolino attributes additional to the stammproduct-data.

This is where we can set 6 weeks neuheiten.

post
https://api.migros.ch/migrolino/products/odin/v1/product/attributes

Body

application/json

ProductAttributeRequestResponse

Additional product specific attributes.

productIDstring

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

showDeliveryInterruptionboolean

Field indicates if a product currently has delivery interruption and should be indicated as such.

showNeuboolean

Field indicates if a product is currently promoted as a “new” product or neuheit.

showNoReorderboolean

Field indicates if a product shouldn’t be reordered.

showSeasonboolean

Field indicates if a product is currently promoted as a “seasonal” product.

storeIDstring

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

Response

Attributes are created.

post/migrolino/products/odin/v1/product/attributes

Body

{}
 

Get an Migrolino object of product (store specific) attributes

It returns an object of additional attributes of a product.

get
https://api.migros.ch/migrolino/products/odin/v1/product/attributes/{productID}/{storeID}

Path Parameters

storeIDstringrequired

Use the storeID.

productIDstringrequired

Is the SAP ID of a product. Note - Not a GTIN.

Response

application/json

Found product attributes.

ProductAttributeRequestResponse

Additional product specific attributes.

productIDstring

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

showDeliveryInterruptionboolean

Field indicates if a product currently has delivery interruption and should be indicated as such.

showNeuboolean

Field indicates if a product is currently promoted as a “new” product or neuheit.

showNoReorderboolean

Field indicates if a product shouldn’t be reordered.

showSeasonboolean

Field indicates if a product is currently promoted as a “seasonal” product.

storeIDstring

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

get/migrolino/products/odin/v1/product/attributes/{productID}/{storeID}
 
application/json

Get a single product.

Gets a single product by it’s GTIN.

get
https://api.migros.ch/migrolino/products/odin/v1/product/{gtin}

Query Parameters

storeIDstringrequired

Use the storeID. (We resolve it to the filiallanguage)

Path Parameters

gtinstringrequired

Is the products main GTIN.

Response

application/json

Returns a single product

ProductResponse

Detailed information about a product.

alternative_gtinsarray[string]

Alternative GTINs for the product.

base_unit_typestring

The base unit type (e.g., CU).

boss_numberstring

The BOSS number of the product.

brand_codestring

The brand code.

brand_namestring

The brand name.

brand_typestring

The type of brand (e.g., Eigenmarke).

days_until_expirationinteger

The number of days until the product expires.

gtinstring

The primary GTIN of the product.

idstring

ID of the product.

max_order_quantityinteger

The maximum order quantity for the product.

namestring

Full name of the product.

name_part1string

The first part of the product name.

name_part2string

The second part of the product name.

name_part3string

The third part of the product name.

origin_country_code1string

The primary origin country code.

packageobject

Information about the product’s package.

Show Child Parameters
pricesobject

Pricing information for the product across different retailers.

Show Child Parameters
product_group_namestring

The product group name.

product_group_numberstring

The product group number.

product_imagestring

The product image of the product encoded in Base64

sap_creation_datestring(date-time)

The SAP creation date of the product.

short_namestring

Shortened name of the product.

status_namestring

The status of the product (e.g., active).

tax_classinteger

The tax class of the product.

tax_ratenumber(float)

The tax rate applicable to the product.

transport_unit_typestring

The transport unit type (e.g., TU).

get/migrolino/products/odin/v1/product/{gtin}
 
application/json

Get Migrolino a list of searched products

It returns a list of products search for

get
https://api.migros.ch/migrolino/products/odin/v1/products

Query Parameters

searchstringrequired

Use any term such as product name, id or GTIN.

storeIDstringrequired

Use the storeID. (We resolve it to the filiallanguage)

Response

application/json

List of products. Empty array means no products found.

Detailed information about a product.

alternative_gtinsarray[string]

Alternative GTINs for the product.

base_unit_typestring

The base unit type (e.g., CU).

boss_numberstring

The BOSS number of the product.

brand_codestring

The brand code.

brand_namestring

The brand name.

brand_typestring

The type of brand (e.g., Eigenmarke).

days_until_expirationinteger

The number of days until the product expires.

gtinstring

The primary GTIN of the product.

idstring

ID of the product.

max_order_quantityinteger

The maximum order quantity for the product.

namestring

Full name of the product.

name_part1string

The first part of the product name.

name_part2string

The second part of the product name.

name_part3string

The third part of the product name.

origin_country_code1string

The primary origin country code.

packageobject

Information about the product’s package.

Show Child Parameters
pricesobject

Pricing information for the product across different retailers.

Show Child Parameters
product_group_namestring

The product group name.

product_group_numberstring

The product group number.

product_imagestring

The product image of the product encoded in Base64

sap_creation_datestring(date-time)

The SAP creation date of the product.

short_namestring

Shortened name of the product.

status_namestring

The status of the product (e.g., active).

tax_classinteger

The tax class of the product.

tax_ratenumber(float)

The tax rate applicable to the product.

transport_unit_typestring

The transport unit type (e.g., TU).

get/migrolino/products/odin/v1/products
 
application/json

Search stores.

Search stores and filter it down with a search term. For further documentation https://developer.migros.ch/mgb-developer-portal/api-catalog/stores-rest#/msrc/get_migros_sales_branches_v1_stores

get
https://api.migros.ch/migrolino/products/odin/v1/stores

Query Parameters

searchstring

Is the search term to filter down stores even further.

Example:4799001

Response

200 application/json

Returns a list of stores. Or none.

Object that represents a store with it’s 7 digit ID and it’s name.

languagestring

Language of the store.

Example:de

namestring

Is the SAP name of the store.

storeIDstringrequired

Is the migros default way of identifying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

get/migrolino/products/odin/v1/stores
 
200 application/json